package com.tofly.ghrq_route.module.pipeAnalyze.domain;

public class PipeAnalyzeStatusBean {
    /**
     * jobId : jc1fcf7b9572b41b6b531ed9b5c6fb76b
     * jobStatus : esriJobSucceeded
     * results : {"outputpoint":{"paramUrl":"results/outputpoint"},"outputpipe":{"paramUrl":"results/outputpipe"},"summary":{"paramUrl":"results/summary"}}
     */

    private String jobId;
    private String jobStatus;
    private ResultsBean results;

    public String getJobId() {
        return jobId;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    public String getJobStatus() {
        return jobStatus;
    }

    public void setJobStatus(String jobStatus) {
        this.jobStatus = jobStatus;
    }

    public ResultsBean getResults() {
        return results;
    }

    public void setResults(ResultsBean results) {
        this.results = results;
    }

    public static class ResultsBean {
        /**
         * outputpoint : {"paramUrl":"results/outputpoint"}
         * outputpipe : {"paramUrl":"results/outputpipe"}
         * summary : {"paramUrl":"results/summary"}
         */

        private OutputpointBean outputpoint;
        private OutputpipeBean outputpipe;
        private SummaryBean summary;

        public OutputpointBean getOutputpoint() {
            return outputpoint;
        }

        public void setOutputpoint(OutputpointBean outputpoint) {
            this.outputpoint = outputpoint;
        }

        public OutputpipeBean getOutputpipe() {
            return outputpipe;
        }

        public void setOutputpipe(OutputpipeBean outputpipe) {
            this.outputpipe = outputpipe;
        }

        public SummaryBean getSummary() {
            return summary;
        }

        public void setSummary(SummaryBean summary) {
            this.summary = summary;
        }

        public static class OutputpointBean {
            /**
             * paramUrl : results/outputpoint
             */

            private String paramUrl;

            public String getParamUrl() {
                return paramUrl;
            }

            public void setParamUrl(String paramUrl) {
                this.paramUrl = paramUrl;
            }
        }

        public static class OutputpipeBean {
            /**
             * paramUrl : results/outputpipe
             */

            private String paramUrl;

            public String getParamUrl() {
                return paramUrl;
            }

            public void setParamUrl(String paramUrl) {
                this.paramUrl = paramUrl;
            }
        }

        public static class SummaryBean {
            /**
             * paramUrl : results/summary
             */

            private String paramUrl;

            public String getParamUrl() {
                return paramUrl;
            }

            public void setParamUrl(String paramUrl) {
                this.paramUrl = paramUrl;
            }
        }
    }
}
